CFPRIME AUDMC                                                           AUDMC       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE AUDMC(LOUT,LCYO,LWIF,LREM)                             AUDMC       3
CD                                                                      AUDMC       4
CD    TO FORMULATE THE A B C D MATRICES OF EACH CONTROLLER IN A USER    AUDMC       5
CD    DEFINED MODEL FOR THE CONSTRUCTION OF THE JACOBIAN MATRICES.      AUDMC       6
CD                                                                      AUDMC       7
      INCLUDE 'PARX.INS'                                                AUDMC       8
      INCLUDE 'CNPT.INS'                                                AUDMC       9
      INCLUDE 'CNUDM.INS'                                               AUDMC      10
      INCLUDE 'CNUDMA.INS'                                              AUDMC      11
      INCLUDE 'CNFLAG.INS'                                              AUDMC      12
      INCLUDE 'CNUNIT.INS'                                              AUDMC      13
C                                                                       AUDMC      14
      DIMENSION YINVS(NXUDB,NXUDB),AAUX(NXUDB2,NXUDB2)                  AUDMC      15
     &,CAUX(NXUDB2,NXUDB2),DYI(NXUDB,LOUTP),DYV(NXUDB,LOUTP)            AUDMC      16
     &,DYVR(NXUDB,120),DYW(NXUDB),DYIF(NXUDB),DYREF(NXUDB)              AUDMC      17
     &,DYVS(NXUDB),DYVU(NXUDB),DYTM(NXUDB),IRU(NXUDB),ICU(NXUDB)        AUDMC      18
C                                                                       AUDMC      19
      LDEB=(JDEB(263).NE.0)                                             AUDMC      20
C                                                                       AUDMC      21
C     FORM: XDOT=AXB*X+BUI*DEL I+BUV*DEL V+BUVR*DEL VR+BUW*DEL W+BUTM*DEAUDMC      22
C                +BUIF*DEL IF+BUVS*DEL VS+ BUVU*DEL VU+BUREF*DEL VREF   AUDMC      23
C         DEL YC=CYX*X+CYI*DEL I+CYV*DEL V+CYVR*DEL VR+CYW*DEL W+CYTM*DEAUDMC      24
C                +CYIF*DEL IF+CYVS*DEL VS+ CYVU*DEL VU+CYREF*DEL VREF   AUDMC      25
C                                                                       AUDMC      26
      IF(LDEB)WRITE(IUD6,1300) KORD,LOUT,LCYO,LWIF,LREM                 AUDMC      27
      DO 110 J=1,IYB                                                    AUDMC      28
      DO 110 I=1,IYB                                                    AUDMC      29
      SUM=0.0                                                           AUDMC      30
      DO 100 L=1,IUB                                                    AUDMC      31
  100 SUM=SUM-DUB(I,L)*CYB(L,J)                                         AUDMC      32
      IF(I.EQ.J) SUM=SUM+1.0                                            AUDMC      33
      YINVS(I,J)=SUM                                                    AUDMC      34
  110 CONTINUE                                                          AUDMC      35
      IF(LDEB)WRITE(IUD6,1000) ((YINVS(I,J),J=1,IYB),I=1,IYB)           AUDMC      36
C                                                                       AUDMC      37
      IF(IYB.EQ.1) YINVS(1,1)=1.0/YINVS(1,1)                            AUDMC      38
      IF(IYB.GT.1) CALL MINVRS (YINVS,NXUDB,IYB,DETA,IER,IRU,ICU)       AUDMC      39
      IF(LDEB)WRITE(IUD6,1010) ((YINVS(I,J),J=1,IYB),I=1,IYB)           AUDMC      40
C                                                                       AUDMC      41
      DO 130 J=1,KORD                                                   AUDMC      42
      DO 130 I=1,IYB                                                    AUDMC      43
      SUM=0.0                                                           AUDMC      44
      DO 120 L=1,IYB                                                    AUDMC      45
  120 SUM=SUM+YINVS(I,L)*CXB(L,J)                                       AUDMC      46
      AAUX(I,J)=SUM                                                     AUDMC      47
  130 CONTINUE                                                          AUDMC      48
      IF(LDEB)WRITE(IUD6,1020)((AAUX(I,J),J=1,KORD),I=1,IYB)            AUDMC      49
C                                                                       AUDMC      50
      DO 150 J=1,KORD                                                   AUDMC      51
      DO 150 I=1,LCYO                                                   AUDMC      52
      SUM=0.0                                                           AUDMC      53
      DO 140 L=1,IYB                                                    AUDMC      54
  140 SUM=SUM+CYO(I,L)*AAUX(L,J)                                        AUDMC      55
      CYX(I,J)=SUM                                                      AUDMC      56
  150 CONTINUE                                                          AUDMC      57
      IF(LDEB)WRITE(IUD6,1030) ((CYX(I,J),J=1,KORD),I=1,LCYO)           AUDMC      58
C                                                                       AUDMC      59
      DO 170 J=1,KORD                                                   AUDMC      60
      DO 170 I=1,IUB                                                    AUDMC      61
      SUM=0.0                                                           AUDMC      62
      DO 160 L=1,IYB                                                    AUDMC      63
  160 SUM=SUM+CYB(I,L)*AAUX(L,J)                                        AUDMC      64
      CAUX(I,J)=SUM                                                     AUDMC      65
  170 CONTINUE                                                          AUDMC      66
      IF(LDEB)WRITE(IUD6,1040) ((CAUX(I,J),J=1,KORD),I=1,IUB)           AUDMC      67
C                                                                       AUDMC      68
      DO 190 J=1,KORD                                                   AUDMC      69
      DO 190 I=1,KORD                                                   AUDMC      70
      SUM=0.0                                                           AUDMC      71
      DO 180 L=1,IUB                                                    AUDMC      72
  180 SUM=SUM+BUB(I,L)*CAUX(L,J)                                        AUDMC      73
      AXB(I,J)=AXB(I,J)+SUM                                             AUDMC      74
  190 CONTINUE                                                          AUDMC      75
      IF(LDEB)WRITE(IUD6,1050) ((AXB(I,J),J=1,KORD),I=1,KORD)           AUDMC      76
C                                                                       AUDMC      77
      DO 210 J=1,IUB                                                    AUDMC      78
      DO 210 I=1,IYB                                                    AUDMC      79
      SUM=0.0                                                           AUDMC      80
      DO 200 L=1,IYB                                                    AUDMC      81
  200 SUM=SUM+YINVS(I,L)*DUB(L,J)                                       AUDMC      82
      AAUX(I,J)=SUM                                                     AUDMC      83
  210 CONTINUE                                                          AUDMC      84
      IF(LDEB)WRITE(IUD6,1310) ((AAUX(I,J),J=1,IUB),I=1,IYB)            AUDMC      85
C                                                                       AUDMC      86
      DO 230 J=1,IUB                                                    AUDMC      87
      DO 230 I=1,IUB                                                    AUDMC      88
      SUM=0.0                                                           AUDMC      89
      DO 220 L=1,IYB                                                    AUDMC      90
  220 SUM=SUM+CYB(I,L)*AAUX(L,J)                                        AUDMC      91
      IF(I.EQ.J) SUM=SUM+1.0                                            AUDMC      92
      CAUX(I,J)=SUM                                                     AUDMC      93
  230 CONTINUE                                                          AUDMC      94
      IF(LDEB)WRITE(IUD6,1330) ((CAUX(I,J),J=1,IUB),I=1,IUB)            AUDMC      95
C                                                                       AUDMC      96
      DO 250 J=1,LOUT                                                   AUDMC      97
      DO 250 I=1,IYB                                                    AUDMC      98
      SUMI=0.0                                                          AUDMC      99
      SUMV=0.0                                                          AUDMC     100
      DO 240 L=1,IUB                                                    AUDMC     101
      SUMI=SUMI+AAUX(I,L)*DUI(L,J)                                      AUDMC     102
  240 SUMV=SUMV+AAUX(I,L)*DUV(L,J)                                      AUDMC     103
      DYI(I,J)=SUMI                                                     AUDMC     104
      DYV(I,J)=SUMV                                                     AUDMC     105
  250 CONTINUE                                                          AUDMC     106
      IF(LDEB)WRITE(IUD6,1060) ((DYI(I,J),J=1,LOUT),I=1,IYB)            AUDMC     107
      IF(LDEB)WRITE(IUD6,1070) ((DYV(I,J),J=1,LOUT),I=1,IYB)            AUDMC     108
C                                                                       AUDMC     109
      IF(LWIF.NE.0) THEN                                                AUDMC     110
         DO 270 I=1,IYB                                                 AUDMC     111
         SUMW=0.0                                                       AUDMC     112
         SUMIF=0.0                                                      AUDMC     113
         SUMVS=0.0                                                      AUDMC     114
         SUMVU=0.0                                                      AUDMC     115
         SUMTM=0.0                                                      AUDMC     116
         DO 260 L=1,IUB                                                 AUDMC     117
         SUMW=SUMW+AAUX(I,L)*DUW(L)                                     AUDMC     118
         SUMIF=SUMIF+AAUX(I,L)*DUIF(L)                                  AUDMC     119
         SUMVS=SUMVS+AAUX(I,L)*DUVS(L)                                  AUDMC     120
         SUMVU=SUMVU+AAUX(I,L)*DUVU(L)                                  AUDMC     121
  260    SUMTM=SUMTM+AAUX(I,L)*DUTM(L)                                  AUDMC     122
         DYW(I)=SUMW                                                    AUDMC     123
         DYIF(I)=SUMIF                                                  AUDMC     124
         DYVS(I)=SUMVS                                                  AUDMC     125
         DYVU(I)=SUMVU                                                  AUDMC     126
         DYTM(I)=SUMTM                                                  AUDMC     127
  270    CONTINUE                                                       AUDMC     128
         IF(LDEB)WRITE(IUD6,1080) (DYW(I),I=1,IYB)                      AUDMC     129
         IF(LDEB)WRITE(IUD6,1090) (DYIF(I),I=1,IYB)                     AUDMC     130
         IF(LDEB)WRITE(IUD6,1100) (DYVS(I),I=1,IYB)                     AUDMC     131
         IF(LDEB)WRITE(IUD6,1110) (DYVU(I),I=1,IYB)                     AUDMC     132
         IF(LDEB)WRITE(IUD6,1360) (DYTM(I),I=1,IYB)                     AUDMC     133
      ENDIF                                                             AUDMC     134
C                                                                       AUDMC     135
      IF(LREM.NE.0) THEN                                                AUDMC     136
         DO 290 J=1,LREM                                                AUDMC     137
         DO 290 I=1,IYB                                                 AUDMC     138
         SUM=0.0                                                        AUDMC     139
         DO 280 L=1,IUB                                                 AUDMC     140
  280    SUM=SUM+AAUX(I,L)*DUVR(L,J)                                    AUDMC     141
         DYVR(I,J)=SUM                                                  AUDMC     142
  290    CONTINUE                                                       AUDMC     143
         IF(LDEB)WRITE(IUD6,1120) ((DYVR(I,J),J=1,LREM),I=1,IYB)        AUDMC     144
      ENDIF                                                             AUDMC     145
C                                                                       AUDMC     146
      DO 310 I=1,IYB                                                    AUDMC     147
      SUM=0.0                                                           AUDMC     148
      DO 300 L=1,IUB                                                    AUDMC     149
  300 SUM=SUM+AAUX(I,L)*DUREF(L)                                        AUDMC     150
      DYREF(I)=SUM                                                      AUDMC     151
  310 CONTINUE                                                          AUDMC     152
      IF(LDEB)WRITE(IUD6,1340) (DYREF(I),I=1,IYB)                       AUDMC     153
C                                                                       AUDMC     154
      DO 330 J=1,IUB                                                    AUDMC     155
      DO 330 I=1,KORD                                                   AUDMC     156
      SUM=0.0                                                           AUDMC     157
      DO 320 L=1,IUB                                                    AUDMC     158
  320 SUM=SUM+BUB(I,L)*CAUX(L,J)                                        AUDMC     159
      AAUX(I,J)=SUM                                                     AUDMC     160
  330 CONTINUE                                                          AUDMC     161
      IF(LDEB)WRITE(IUD6,1320) ((AAUX(I,J),J=1,IUB),I=1,KORD)           AUDMC     162
C                                                                       AUDMC     163
      DO 350 J=1,LOUT                                                   AUDMC     164
      DO 350 I=1,KORD                                                   AUDMC     165
      SUMI=0.0                                                          AUDMC     166
      SUMV=0.0                                                          AUDMC     167
      DO 340 L=1,IUB                                                    AUDMC     168
      SUMI=SUMI+AAUX(I,L)*DUI(L,J)                                      AUDMC     169
  340 SUMV=SUMV+AAUX(I,L)*DUV(L,J)                                      AUDMC     170
      BUI(I,J)=SUMI                                                     AUDMC     171
      BUV(I,J)=SUMV                                                     AUDMC     172
  350 CONTINUE                                                          AUDMC     173
      IF(LDEB)WRITE(IUD6,1140) ((BUI(I,J),J=1,LOUT),I=1,KORD)           AUDMC     174
      IF(LDEB)WRITE(IUD6,1150) ((BUV(I,J),J=1,LOUT),I=1,KORD)           AUDMC     175
C                                                                       AUDMC     176
      IF(LWIF.NE.0) THEN                                                AUDMC     177
         DO 370 I=1,KORD                                                AUDMC     178
         SUMW=0.0                                                       AUDMC     179
         SUMIF=0.0                                                      AUDMC     180
         SUMVS=0.0                                                      AUDMC     181
         SUMVU=0.0                                                      AUDMC     182
         SUMTM=0.0                                                      AUDMC     183
         DO 360 L=1,IUB                                                 AUDMC     184
         SUMW=SUMW+AAUX(I,L)*DUW(L)                                     AUDMC     185
         SUMIF=SUMIF+AAUX(I,L)*DUIF(L)                                  AUDMC     186
         SUMVS=SUMVS+AAUX(I,L)*DUVS(L)                                  AUDMC     187
         SUMVU=SUMVU+AAUX(I,L)*DUVU(L)                                  AUDMC     188
  360    SUMTM=SUMTM+AAUX(I,L)*DUTM(L)                                  AUDMC     189
         BUW(I)=SUMW                                                    AUDMC     190
         BUIF(I)=SUMIF                                                  AUDMC     191
         BUVS(I)=SUMVS                                                  AUDMC     192
         BUVU(I)=SUMVU                                                  AUDMC     193
         BUTM(I)=SUMTM                                                  AUDMC     194
  370    CONTINUE                                                       AUDMC     195
         IF(LDEB)WRITE(IUD6,1160) (BUW(I),I=1,KORD)                     AUDMC     196
         IF(LDEB)WRITE(IUD6,1170) (BUIF(I),I=1,KORD)                    AUDMC     197
         IF(LDEB)WRITE(IUD6,1180) (BUVS(I),I=1,KORD)                    AUDMC     198
         IF(LDEB)WRITE(IUD6,1190) (BUVU(I),I=1,KORD)                    AUDMC     199
         IF(LDEB)WRITE(IUD6,1370) (BUTM(I),I=1,KORD)                    AUDMC     200
      ENDIF                                                             AUDMC     201
C                                                                       AUDMC     202
      IF(LREM.NE.0) THEN                                                AUDMC     203
         DO 390 J=1,LREM                                                AUDMC     204
         DO 390 I=1,KORD                                                AUDMC     205
         SUM=0.0                                                        AUDMC     206
         DO 380 L=1,IUB                                                 AUDMC     207
  380    SUM=SUM+AAUX(I,L)*DUVR(L,J)                                    AUDMC     208
         BUVR(I,J)=SUM                                                  AUDMC     209
  390    CONTINUE                                                       AUDMC     210
         IF(LDEB)WRITE(IUD6,1200) ((BUVR(I,J),J=1,LREM),I=1,KORD)       AUDMC     211
      ENDIF                                                             AUDMC     212
C                                                                       AUDMC     213
      DO 410 I=1,KORD                                                   AUDMC     214
      SUM=0.0                                                           AUDMC     215
      DO 400 L=1,IUB                                                    AUDMC     216
  400 SUM=SUM+AAUX(I,L)*DUREF(L)                                        AUDMC     217
      BUREF(I)=SUM                                                      AUDMC     218
  410 CONTINUE                                                          AUDMC     219
      IF(LDEB)WRITE(IUD6,1210) (BUREF(I),I=1,KORD)                      AUDMC     220
C                                                                       AUDMC     221
      DO 430 J=1,LOUT                                                   AUDMC     222
      DO 430 I=1,LCYO                                                   AUDMC     223
      SUMI=0.0                                                          AUDMC     224
      SUMV=0.0                                                          AUDMC     225
      DO 420 L=1,IYB                                                    AUDMC     226
      SUMI=SUMI+CYO(I,L)*DYI(L,J)                                       AUDMC     227
  420 SUMV=SUMV+CYO(I,L)*DYV(L,J)                                       AUDMC     228
      CYI(I,J)=SUMI                                                     AUDMC     229
      CYV(I,J)=SUMV                                                     AUDMC     230
  430 CONTINUE                                                          AUDMC     231
      IF(LDEB)WRITE(IUD6,1220) ((CYI(I,J),J=1,LOUT),I=1,LCYO)           AUDMC     232
      IF(LDEB)WRITE(IUD6,1230) ((CYV(I,J),J=1,LOUT),I=1,LCYO)           AUDMC     233
C                                                                       AUDMC     234
      IF(LWIF.NE.0) THEN                                                AUDMC     235
         DO 450 I=1,LCYO                                                AUDMC     236
         SUMW=0.0                                                       AUDMC     237
         SUMIF=0.0                                                      AUDMC     238
         SUMVS=0.0                                                      AUDMC     239
         SUMVU=0.0                                                      AUDMC     240
         SUMTM=0.0                                                      AUDMC     241
         DO 440 L=1,IYB                                                 AUDMC     242
         SUMW=SUMW+CYO(I,L)*DYW(L)                                      AUDMC     243
         SUMIF=SUMIF+CYO(I,L)*DYIF(L)                                   AUDMC     244
         SUMVS=SUMVS+CYO(I,L)*DYVS(L)                                   AUDMC     245
         SUMVU=SUMVU+CYO(I,L)*DYVU(L)                                   AUDMC     246
  440    SUMTM=SUMTM+CYO(I,L)*DYTM(L)                                   AUDMC     247
         CYW(I)=SUMW                                                    AUDMC     248
         CYIF(I)=SUMIF                                                  AUDMC     249
         CYVS(I)=SUMVS                                                  AUDMC     250
         CYVU(I)=SUMVU                                                  AUDMC     251
         CYTM(I)=SUMTM                                                  AUDMC     252
  450    CONTINUE                                                       AUDMC     253
         IF(LDEB)WRITE(IUD6,1240) (CYW(I),I=1,LCYO)                     AUDMC     254
         IF(LDEB)WRITE(IUD6,1250) (CYIF(I),I=1,LCYO)                    AUDMC     255
         IF(LDEB)WRITE(IUD6,1260) (CYVS(I),I=1,LCYO)                    AUDMC     256
         IF(LDEB)WRITE(IUD6,1270) (CYVU(I),I=1,LCYO)                    AUDMC     257
         IF(LDEB)WRITE(IUD6,1380) (CYTM(I),I=1,LCYO)                    AUDMC     258
      ENDIF                                                             AUDMC     259
C                                                                       AUDMC     260
      IF(LREM.NE.0) THEN                                                AUDMC     261
         DO 470 J=1,LREM                                                AUDMC     262
         DO 470 I=1,LCYO                                                AUDMC     263
         SUM=0.0                                                        AUDMC     264
         DO 460 L=1,IYB                                                 AUDMC     265
  460    SUM=SUM+CYO(I,L)*DYVR(L,J)                                     AUDMC     266
         CYVR(I,J)=SUM                                                  AUDMC     267
  470    CONTINUE                                                       AUDMC     268
         IF(LDEB)WRITE(IUD6,1280) ((CYVR(I,J),J=1,LREM),I=1,LCYO)       AUDMC     269
      ENDIF                                                             AUDMC     270
C                                                                       AUDMC     271
      DO 490 I=1,LCYO                                                   AUDMC     272
      SUM=0.0                                                           AUDMC     273
      DO 480 L=1,IYB                                                    AUDMC     274
  480 SUM=SUM+CYO(I,L)*DYREF(L)                                         AUDMC     275
      CYREF(I)=SUM                                                      AUDMC     276
  490 CONTINUE                                                          AUDMC     277
      IF(LDEB)WRITE(IUD6,1350) (CYREF(I),I=1,LCYO)                      AUDMC     278
C                                                                       AUDMC     279
      IF(LDEB)WRITE(IUD6,1290)                                          AUDMC     280
C                                                                       AUDMC     281
      RETURN                                                            AUDMC     282
C                                                                       AUDMC     283
 1000 FORMAT(1X,'((YINVS(I,J),J=1,IYB),I=1,IYB):  ',(/,1X,10E12.4))     AUDMC     284
 1010 FORMAT(1X,'((YINVS(I,J),J=1,IYB),I=1,IYB):  ',(/,1X,10E12.4))     AUDMC     285
 1020 FORMAT(1X,'((AAUX(I,J),J=1,KORD),I=1,IYB):   ',(/,1X,10E12.4))    AUDMC     286
 1030 FORMAT(1X,'((CYX(I,J),J=1,KORD),I=1,LCYO):    ',(/,1X,10E12.4))   AUDMC     287
 1040 FORMAT(1X,'((CAUX(I,J),J=1,KORD),I=1,IUB):    ',(/,1X,10E12.4))   AUDMC     288
 1050 FORMAT(1X,'((AXB(I,J),J=1,KORD),I=1,KORD):    ',(/,1X,10E12.4))   AUDMC     289
 1060 FORMAT(1X,'((DYI(I,J),J=1,LOUT),I=1,IYB):    ',(/,1X,10E12.4))    AUDMC     290
 1070 FORMAT(1X,'((DYV(I,J),J=1,LOUT),I=1,IYB):    ',(/,1X,10E12.4))    AUDMC     291
 1080 FORMAT(1X,'(DYW(I),I=1,IYB):                 ',(/,1X,10E12.4))    AUDMC     292
 1090 FORMAT(1X,'(DYIF(I),I=1,IYB):                ',(/,1X,10E12.4))    AUDMC     293
 1100 FORMAT(1X,'(DYVS(I),I=1,IYB):                ',(/,1X,10E12.4))    AUDMC     294
 1110 FORMAT(1X,'(DYVU(I),I=1,IYB):                ',(/,1X,10E12.4))    AUDMC     295
 1120 FORMAT(1X,'((DYVR(I,J),J=1,LREM),I=1,IYB):   ',(/,1X,10E12.4))    AUDMC     296
 1140 FORMAT(1X,'((BUI(I,J),J=1,LOUT),I=1,KORD):    ',(/,1X,10E12.4))   AUDMC     297
 1150 FORMAT(1X,'((BUV(I,J),J=1,LOUT),I=1,KORD):    ',(/,1X,10E12.4))   AUDMC     298
 1160 FORMAT(1X,'(BUW(I),I=1,KORD):                 ',(/,1X,10E12.4))   AUDMC     299
 1170 FORMAT(1X,'(BUIF(I),I=1,KORD):                ',(/,1X,10E12.4))   AUDMC     300
 1180 FORMAT(1X,'(BUVS(I),I=1,KORD):                ',(/,1X,10E12.4))   AUDMC     301
 1190 FORMAT(1X,'(BUVU(I),I=1,KORD):                ',(/,1X,10E12.4))   AUDMC     302
 1200 FORMAT(1X,'((BUVR(I,J),J=1,LREM),I=1,KORD):   ',(/,1X,10E12.4))   AUDMC     303
 1210 FORMAT(1X,'(BUREF(I),I=1,KORD):               ',(/,1X,10E12.4))   AUDMC     304
 1220 FORMAT(1X,'((CYI(I,J),J=1,LOUT),I=1,LCYO):    ',(/,1X,10E12.4))   AUDMC     305
 1230 FORMAT(1X,'((CYV(I,J),J=1,LOUT),I=1,LCYO):    ',(/,1X,10E12.4))   AUDMC     306
 1240 FORMAT(1X,'(CYW(I),I=1,LCYO):                 ',(/,1X,10E12.4))   AUDMC     307
 1250 FORMAT(1X,'(CYIF(I),I=1,LCYO):                ',(/,1X,10E12.4))   AUDMC     308
 1260 FORMAT(1X,'(CYVS(I),I=1,LCYO):                ',(/,1X,10E12.4))   AUDMC     309
 1270 FORMAT(1X,'(CYVU(I),I=1,LCYO):                ',(/,1X,10E12.4))   AUDMC     310
 1280 FORMAT(1X,'((CYVR(I,J),J=1,LREM),I=1,LCYO):   ',(/,1X,10E12.4))   AUDMC     311
 1290 FORMAT(1X,'AUDMC ENDS.',/)                                        AUDMC     312
 1300 FORMAT(/,1X,'AUDMC STARTS:',/,' KORD,LOUT,LCYO,LWIF,LREM:',5I5)   AUDMC     313
 1310 FORMAT(1X,'((AAUX(I,J),J=1,IUB),I=1,IYB)     ',(/,1X,10E12.4))    AUDMC     314
 1320 FORMAT(1X,'((AAUX(I,J),J=1,IUB),I=1,KORD):    ',(/,1X,10E12.4))   AUDMC     315
 1330 FORMAT(1X,'((CAUX(I,J),J=1,IUB),I=1,IUB):     ',(/,1X,10E12.4))   AUDMC     316
 1340 FORMAT(1X,'(DYREF(I),I=1,IYB):               ',(/,1X,10E12.4))    AUDMC     317
 1350 FORMAT(1X,'(CYREF(I),I=1,LCYO):               ',(/,1X,10E12.4))   AUDMC     318
 1360 FORMAT(1X,'(DYTM(I),I=1,IYB):                ',(/,1X,10E12.4))    AUDMC     319
 1370 FORMAT(1X,'(BUTM(I),I=1,KORD):                ',(/,1X,10E12.4))   AUDMC     320
 1380 FORMAT(1X,'(CYTM(I),I=1,LCYO):                ',(/,1X,10E12.4))   AUDMC     321
      END                                                               AUDMC     322
